@import 'variables';
@import './mixins/mixins.scss';

.container {
  min-height: 100vh;
  padding-top: 60px;
  @include set_transition(all ease-in-out 0.5s);

  &.dark {
    background-color: $color-black;
    color: $color-white;
  }
}

.page {
  margin: 20px;

  @media (min-width: $screen-md) {
    max-width: $screen-xlg;
  }

  @media (min-width: $screen-xlg) {
    margin: 30px auto;
  }
}

.above_page_section {
  min-height: 100px;
  text-align: center;
  padding: 1em 0;
  border-bottom: 1px dotted darken($color: $color-white, $amount: 10);
  &.dark {
    border-bottom-color: lighten($color: $color-black, $amount: 15);
  }
}

.grid {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  flex-direction: column;
  margin-top: 3rem;
}
